aboutsummaryrefslogtreecommitdiff
path: root/write_exports_init.sh
diff options
context:
space:
mode:
authorWojtek Kosior <koszko@koszko.org>2021-12-08 19:01:50 +0100
committerWojtek Kosior <koszko@koszko.org>2021-12-08 19:01:50 +0100
commit3a90084ec14a15d9b76fa4bfed9e85f15a09dad7 (patch)
tree0e588240ff95f47c4387a82d1dcc59bda2a8d79a /write_exports_init.sh
parentc8fa3926b9ae2f837fcd6950e10e0852d89c4120 (diff)
downloadbrowser-extension-3a90084ec14a15d9b76fa4bfed9e85f15a09dad7.tar.gz
browser-extension-3a90084ec14a15d9b76fa4bfed9e85f15a09dad7.zip
facilitate initialization of IndexedDB for use by Haketilo
Diffstat (limited to 'write_exports_init.sh')
-rwxr-xr-xwrite_exports_init.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/write_exports_init.sh b/write_exports_init.sh
new file mode 100755
index 0000000..d434e94
--- /dev/null
+++ b/write_exports_init.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# This file is part of Haketilo
+#
+# Copyright (C) 2021, Wojtek Kosior
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the CC0 1.0 Universal License as published by
+# the Creative Commons Corporation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# CC0 1.0 Universal License for more details.
+
+set -e
+
+BROWSER="$1"
+BUILDDIR="$2"
+SETTINGS="$3"
+
+if [ "chromium" = "$BROWSER" ]; then
+ cp CHROMIUM_exports_init.js "$BUILDDIR"/exports_init.js
+else
+ cp MOZILLA_exports_init.js "$BUILDDIR"/exports_init.js
+fi
+
+printf 'window.haketilo_exports.initial_data = %s;\n' "$(cat "$SETTINGS")" \
+ >> "$BUILDDIR"/exports_init.js